# Configuration

## Performs the Get operation.

> Use this endpoint to execute the get workflow in ConfigurationController.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Configuration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/Configuration/Get":{"get":{"tags":["Configuration"],"summary":"Performs the Get operation.","description":"Use this endpoint to execute the get workflow in ConfigurationController.\n\nRequired roles: Admin.","parameters":[{"name":"companyId","in":"query","schema":{"type":"string","format":"uuid","default":null}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Performs the Get operation.

> Use this endpoint to execute the get workflow in ConfigurationController.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Configuration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/Configuration/Get/{configurationId}":{"get":{"tags":["Configuration"],"summary":"Performs the Get operation.","description":"Use this endpoint to execute the get workflow in ConfigurationController.\n\nRequired roles: Admin.","parameters":[{"name":"configurationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Create configuration.

> Use this endpoint to create configuration.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Configuration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CreateConfigurationViewModel":{"required":["configurationType","instruction"],"type":"object","properties":{"configurationType":{"$ref":"#/components/schemas/ConfigurationType"},"instruction":{"type":"string","description":"Gets or sets the instruction text that defines behavior for this configuration."},"inputFilterEnabled":{"type":"boolean","description":"Gets or sets whether configured input filters are applied."},"internetEnabled":{"type":"boolean","description":"Gets or sets whether internet-enabled functionality is allowed."},"vectorStoreId":{"type":"string","description":"Gets or sets an optional vector store identifier linked to this configuration.","format":"uuid","nullable":true},"tools":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Gets or sets optional tool identifiers to associate with the configuration.","nullable":true}},"description":"Represents the payload for creating a company configuration."},"ConfigurationType":{"type":"integer","description":"Gets or sets the configuration type to create."}}},"paths":{"/v1/Configuration/Create/{companyId}":{"post":{"tags":["Configuration"],"summary":"Create configuration.","description":"Use this endpoint to create configuration.\n\nRequired roles: Admin.","parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateConfigurationViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateConfigurationViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateConfigurationViewModel"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Update configuration.

> Use this endpoint to update configuration.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Configuration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"UpdateConfigurationViewModel":{"required":["configurationType","instruction"],"type":"object","properties":{"configurationType":{"$ref":"#/components/schemas/ConfigurationType2"},"instruction":{"type":"string","description":"Gets or sets the updated instruction text."},"inputFilterEnabled":{"type":"boolean","description":"Gets or sets whether input filters remain enabled."},"internetEnabled":{"type":"boolean","description":"Gets or sets whether internet-enabled functionality remains allowed."},"vectorStoreId":{"type":"string","description":"Gets or sets an optional replacement vector store identifier.","format":"uuid","nullable":true},"tools":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Gets or sets optional replacement tool identifiers.","nullable":true}},"description":"Represents the payload for updating an existing company configuration."},"ConfigurationType2":{"type":"integer","description":"Gets or sets the updated configuration type."}}},"paths":{"/v1/Configuration/Update/{configurationId}":{"put":{"tags":["Configuration"],"summary":"Update configuration.","description":"Use this endpoint to update configuration.\n\nRequired roles: Admin.","parameters":[{"name":"configurationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateConfigurationViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateConfigurationViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateConfigurationViewModel"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Delete configuration.

> Use this endpoint to delete configuration.\
> \
> Required roles: Admin.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"Configuration"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/Configuration/Delete/{configurationId}":{"delete":{"tags":["Configuration"],"summary":"Delete configuration.","description":"Use this endpoint to delete configuration.\n\nRequired roles: Admin.","parameters":[{"name":"configurationId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.safegpt.nl/api-nl/endpoints/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
